Page MenuHomePhabricator

Fatal exception of type Flow\Exception\InvalidInputException when trying to view/edit watchlist
Closed, ResolvedPublic

Description

User:Randykitty reported at https://en.wikipedia.org/w/index.php?diff=626532094 that using the "View and edit watchlist" results in the following error:

Invalid value was provided for loading flow content.

Return to Main Page. [0698e7ae] 2014-09-21 21:36:58: Fatal exception of type Flow\Exception\InvalidInputException


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=71171

Details

Reference
bz71109

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz71109.
bzimport added a subscriber: Unknown Object (MLST).

I can't find anything matching "0698e7ae" in exception.log on fluorine.

  • Bug 70788 has been marked as a duplicate of this bug. ***

Copying my comment from bug 70788:

Visiting https://en.wikipedia.org/wiki/Special:EditWatchlist results in

Invalid value was provided for loading flow content.

Return to Main Page.
[5127ef00] 2014-09-12 20:54:42: Fatal exception of type Flow\Exception\InvalidInputException


Possibly because of the deleted page at https://en.wikipedia.org/w/index.php?title=Wikipedia:Teahouse/Questions/Flow_test&action=edit&redlink=1 ?

or possibly because of the oversighted (?) topic that I don't have permission to see at https://en.wikipedia.org/wiki/Topic:S214uoczkp47cfsx


(Addendum: possibly not this hypothesis. I Unwatched all of: the deleted board, and 3 deleted topics, and 1 oversighted topic (using Navigation popups and the links at https://en.wikipedia.org/wiki/User:SPage_%28WMF%29/Teahouse_Questions_Flow_Test ) - that did not fix the problem.

(In reply to Kunal Mehta (Legoktm) from comment #1)

I can't find anything matching "0698e7ae" in exception.log on fluorine.

\Flow\Exception\InvalidInputException::isLoggable() returns false. ????

gerritadmin wrote:

Change 161917 had a related patch set uploaded by Matthias Mullie:
(bug 71109) Fix broken Special:EditWatchlist

https://gerrit.wikimedia.org/r/161917

The exception not being logged properly is "known" and being worked on (see https://gerrit.wikimedia.org/r/#/c/159523/)

The reason for this bug: some page called "The_Washington_&_Jefferson_College_Review" in namespace 2600 (Flow topic namespace) made it into watchlist table. Topic pages should always be UUIDs.

Patch https://gerrit.wikimedia.org/r/161917 should fix the exception on the Special:EditWatchlist page.

Only 2 people are watching this particular (invalid) page: Randykitty & Quiddity (WMF). there are no other invalid topic titles in the DB.
This issue is/was currently very small. Does anyone have an idea how that page was watched - need to make sure that whatever caused these invalid values in DB has been/will be fixed :)

gerritadmin wrote:

Change 162168 had a related patch set uploaded by EBernhardson:
(bug 71109) Fix broken Special:EditWatchlist

https://gerrit.wikimedia.org/r/162168

gerritadmin wrote:

Change 162169 had a related patch set uploaded by EBernhardson:
(bug 71109) Fix broken Special:EditWatchlist

https://gerrit.wikimedia.org/r/162169

gerritadmin wrote:

Change 161917 merged by jenkins-bot:
(bug 71109) Fix broken Special:EditWatchlist

https://gerrit.wikimedia.org/r/161917

gerritadmin wrote:

Change 162169 merged by jenkins-bot:
(bug 71109) Fix broken Special:EditWatchlist

https://gerrit.wikimedia.org/r/162169

gerritadmin wrote:

Change 162168 merged by jenkins-bot:
(bug 71109) Fix broken Special:EditWatchlist

https://gerrit.wikimedia.org/r/162168

merged, cherry-picked and deployed to prod

gerritadmin wrote:

Change 163839 had a related patch set uploaded by Matthias Mullie:
(bug 71109) Don't fail Special:EditWatchlist when there's an invalid UUID in watchlist

https://gerrit.wikimedia.org/r/163839

gerritadmin wrote:

Change 163839 merged by Matthias Mullie:
(bug 71109) Don't fail Special:EditWatchlist when there's an invalid UUID in watchlist

https://gerrit.wikimedia.org/r/163839

All patches mentioned in this report were merged or abandoned - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:32 AM